{
"SMS": {
"body": "Your verification code is 123456",
"channel": "SMS",
"isFlash": false,
"isUnicode": false,
"dltTemplateId": "TEMPLATE123"
},
"EMAIL": {
"subject": "Welcome to Our Service",
"channel": "EMAIL",
"body": "<p>Hello,</p><p>Thank you for signing up!</p>",
"fromName": "Support Team",
"fromEmail": "noreply@example.com",
"replyTo": "support@example.com",
"cc": ["team@example.com"],
"isRawHTML": true
},
"SLACK": {
"channel": "SLACK",
"body": "New user signup!\n*Name*: John Doe\n*Email*: john@example.com"
},
"WHATSAPP": {
"channel": "WHATSAPP",
"type": "TEMPLATE",
"template": {
"name": "payment_request_template",
"language": {
"code": "EN"
},
"components": [
{
"type": "HEADER",
"parameters": [
{
"type": "DOCUMENT",
"document": {
"link": "{{doc}}",
"filename": "{{fileName}}"
},
"parameter_name": "document"
}
]
},
{
"type": "BODY",
"parameters": [
{
"text": "{{name}}",
"type": "TEXT",
"parameter_name": "1"
},
{
"text": "{{event}}",
"type": "TEXT",
"parameter_name": "2"
},
{
"text": "{{amount}}",
"type": "TEXT",
"parameter_name": "3"
}
]
},
{
"type": "BUTTON",
"index": 0,
"sub_type": "URL",
"parameters": [
{
"text": "https://www.mystore.com/",
"type": "text",
"parameter_name": "1"
}
]
}
]
}
},
"PUSH": {
"channel": "PUSH",
"title": "Welcome!",
"body": "Thanks for installing our app.",
"priority": "high"
},
"IN_APP": {
"channel": "IN_APP",
"title": "Welcome Aboard!",
"body": "Get started with our app by completing your profile.",
"type": "WELCOME"
}
}
Template APIs
Add Channel Template
Add or update channel templates to draft version of template
POST
/
api
/
v1
/
public
/
template
/
{id}
/
channel-templates
{
"SMS": {
"body": "Your verification code is 123456",
"channel": "SMS",
"isFlash": false,
"isUnicode": false,
"dltTemplateId": "TEMPLATE123"
},
"EMAIL": {
"subject": "Welcome to Our Service",
"channel": "EMAIL",
"body": "<p>Hello,</p><p>Thank you for signing up!</p>",
"fromName": "Support Team",
"fromEmail": "noreply@example.com",
"replyTo": "support@example.com",
"cc": ["team@example.com"],
"isRawHTML": true
},
"SLACK": {
"channel": "SLACK",
"body": "New user signup!\n*Name*: John Doe\n*Email*: john@example.com"
},
"WHATSAPP": {
"channel": "WHATSAPP",
"type": "TEMPLATE",
"template": {
"name": "payment_request_template",
"language": {
"code": "EN"
},
"components": [
{
"type": "HEADER",
"parameters": [
{
"type": "DOCUMENT",
"document": {
"link": "{{doc}}",
"filename": "{{fileName}}"
},
"parameter_name": "document"
}
]
},
{
"type": "BODY",
"parameters": [
{
"text": "{{name}}",
"type": "TEXT",
"parameter_name": "1"
},
{
"text": "{{event}}",
"type": "TEXT",
"parameter_name": "2"
},
{
"text": "{{amount}}",
"type": "TEXT",
"parameter_name": "3"
}
]
},
{
"type": "BUTTON",
"index": 0,
"sub_type": "URL",
"parameters": [
{
"text": "https://www.mystore.com/",
"type": "text",
"parameter_name": "1"
}
]
}
]
}
},
"PUSH": {
"channel": "PUSH",
"title": "Welcome!",
"body": "Thanks for installing our app.",
"priority": "high"
},
"IN_APP": {
"channel": "IN_APP",
"title": "Welcome Aboard!",
"body": "Get started with our app by completing your profile.",
"type": "WELCOME"
}
}
Header
string
required
Bearer token for API authentication. Format:
Bearer {{apiToken}}Query Parameters
uuid
required
The ID of the template.
Request Body
{
"SMS": {
"body": "<message>",
"channel": "SMS",
"isFlash": false,
"isUnicode": false,
"dltTemplateId": "<dlt_template_id>"
},
"EMAIL": {
"subject": "<subject>",
"channel": "EMAIL",
"body": "<html_body>",
"fromName": "<from_name>",
"fromEmail": "<from_email>",
"replyTo": "<reply_to_email>",
"cc": ["<cc_email>"],
"bcc": ["<bcc_email>"],
"attachments": [],
"isRawHTML": true,
"isPlainText": false
},
"SLACK": {
"channel": "SLACK",
"body": "<message>",
"attachments": [],
"buttons": []
},
"WHATSAPP": {
"channel": "WHATSAPP",
"type": "TEMPLATE",
"template": {
"name": "<template_name>",
"language": {
"code": "EN"
},
"components": []
}
},
"PUSH": {
"channel": "PUSH",
"title": "<title>",
"body": "<message>",
"imageUrl": "<image_url>",
"deepLink": "<deeplink_url>",
"timeToLive": 86400,
"priority": "<high|normal|low>",
"analyticsLabel": "<event_name>",
"android": {
"channelId": "<channel_id>",
"icon": "<icon_name>",
"color": "<hex_color>",
"sound": "<sound_name>"
},
"ios": {
"sound": "<sound_name>",
"badge": 1,
"category": "<category_id>"
},
"web": {
"icon": "<icon_url>",
"badge": "<badge_url>"
}
},
"IN_APP": {
"channel": "IN_APP",
"title": "<title>",
"body": "<message>",
"type": "<notification_type>",
"priority": "<priority_level>",
"expiry": 168,
"actions": [
{
"type": "<action_type>",
"label": "<button_label>"
}
]
}
}
{
"SMS": {
"body": "Your verification code is 123456",
"channel": "SMS",
"isFlash": false,
"isUnicode": false,
"dltTemplateId": "TEMPLATE123"
},
"EMAIL": {
"subject": "Welcome to Our Service",
"channel": "EMAIL",
"body": "<p>Hello,</p><p>Thank you for signing up!</p>",
"fromName": "Support Team",
"fromEmail": "noreply@example.com",
"replyTo": "support@example.com",
"cc": ["team@example.com"],
"isRawHTML": true
},
"SLACK": {
"channel": "SLACK",
"body": "New user signup!\n*Name*: John Doe\n*Email*: john@example.com"
},
"WHATSAPP": {
"channel": "WHATSAPP",
"type": "TEMPLATE",
"template": {
"name": "payment_request_template",
"language": {
"code": "EN"
},
"components": [
{
"type": "HEADER",
"parameters": [
{
"type": "DOCUMENT",
"document": {
"link": "{{doc}}",
"filename": "{{fileName}}"
},
"parameter_name": "document"
}
]
},
{
"type": "BODY",
"parameters": [
{
"text": "{{name}}",
"type": "TEXT",
"parameter_name": "1"
},
{
"text": "{{event}}",
"type": "TEXT",
"parameter_name": "2"
},
{
"text": "{{amount}}",
"type": "TEXT",
"parameter_name": "3"
}
]
},
{
"type": "BUTTON",
"index": 0,
"sub_type": "URL",
"parameters": [
{
"text": "https://www.mystore.com/",
"type": "text",
"parameter_name": "1"
}
]
}
]
}
},
"PUSH": {
"channel": "PUSH",
"title": "Welcome!",
"body": "Thanks for installing our app.",
"priority": "high"
},
"IN_APP": {
"channel": "IN_APP",
"title": "Welcome Aboard!",
"body": "Get started with our app by completing your profile.",
"type": "WELCOME"
}
}
Body Parameters
object
Configuration for SMS channel.
object
Configuration for Email channel.
object
Configuration for Slack channel.
object
Configuration for WhatsApp channel.
object
Configuration for Push Notifications.
object
Configuration for In-App Notifications.
object
Android-specific push notification settings.
object
iOS-specific push notification settings.
object
Web push notification settings.
string
The deep link URL to open when the notification is clicked.
integer
Time in seconds that the push notification should be kept if the device is offline.
string
The priority of the push notification. Can be ‘high’, ‘normal’, or ‘low’.
string
A label for analytics tracking of the notification.
Was this page helpful?
⌘I